Subject: Re: getsockopt(TCP_DEFER_ACCEPT) value change

From: Eric Dumazet <[email-masked]>
Date: Tue, 05 Jan 2010 17:14:23 +0100

Le 05/01/2010 16:45, Daniel Lezcano a écrit :
  
> It's not problem if the set / get values are not same, but I was asking
> because I am working with a test suite checking if a checkpoint /
> restart solution is correct.  One of these tests, sets the
> TCP_DEFER_ACCEPT value to 12, checkpoints / restarts, and reads the
> value in order to check if it was correctly restored. The value 12 was
> chosen because it is not rounded, so we were able to safely do the test.
> But with the 2.6.32, the behaviour changed, so I preferred to report it
> in case that is something not expected.
> 
> 

12 happened to be rounded to 12 with previous kernels,
but with recent kernels we have another conversion table :

1 -> 3
2 -> 3
3 -> 3
4 -> 9
5 -> 9
6 -> 9
7 -> 9
8 -> 9
9 -> 9
10 -> 21
...
21 -> 21
22 -> 45
...
45 -> 45
46 -> 93
...
93 -> 93
94 -> 189
...
189 -> 189
190 -> 309
...